Bug 20935 - ElectricFence not compiled threadsafe
ElectricFence not compiled threadsafe
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ElectricFence (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-15 20:13 EST by Bill Woodward
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-16 11:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated Makefile (1.85 KB, text/plain)
2000-11-15 20:14 EST, Bill Woodward
no flags Details

  None (edit)
Description Bill Woodward 2000-11-15 20:13:41 EST
The ElectricFence RPM is not compiled with the thread safe flags.  In the
ElectricFence-2.2.2 Makefile, there is a line:

CFLAGS= -g -DUSE_SEMAPHORE $(PIC)

which sets up semaphore usage to make the ElectricFence malloc/free safe
when linked into a multithreaded application.  The problem is that the make
in the %build section of the ElectricFence.spec file overrides CFLAGS and
therefore unsets the USE_SEMAPHORE define.

I changed the Makefile to use EXTRA_CFLAGS instead of CFLAGS and changed
the tstheap:, eftest:, and .c.o: compile commands to run:

$(CC) $(CFLAGS) $(EXTRA_CFLAGS) etc.

and rebuilt the RPM.  I can now debug multithreaded application with
ElectricFence no problem.
Comment 1 Bill Woodward 2000-11-15 20:14:48 EST
Created attachment 5420 [details]
Updated Makefile
Comment 2 Tim Powers 2000-11-16 11:52:48 EST
OK. I didn't use the Makefile you supplied, I just defined the CFLAGS in the
specfile differently. The next time rawhide is updated it should show up.

Tim

Note You need to log in before you can comment on or make changes to this bug.